#!/bin/sh

name="fix-info-dir"
title="fix-info-dir"
package="fix-info-dir"
version="0.13"
build="1"
noarch="n"
build_info="Standard build."

info="Generates top-level dir file in /usr/info."
desc="This utility is intended to replace similar utility from
texinfo package. It creates something like table of contents for
all info files found in /usr/info. It can add even files that are
not correctly written."
category="tools/info"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="VERSION"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://www.intersec.pl/~swiergot/$name-$version.tar.gz

apply_patch fix-info-dir-makefile.pw.patch
apply_patch fix-info-dir-usr_info.pw.patch

parent_package="$package"
write_info main

cd $src1

do_make

msg_installing

copy fix-info-dir $pkg_main/usr/bin

make_docs

make_package main
clean_up

# $Log: fix-info-dir.builder,v $
# Revision 1.3  2002/12/25 23:47:07  swiergot
# - Build 1.
#
# Revision 1.2  2002/12/25 23:32:28  swiergot
# - Touched to force building.
#
# Revision 1.1  2002/12/25 23:16:23  swiergot
# - Initial release.
# - Version 0.13.
#
